Subject: Re: bug#12911: 24.3.50; let users decide where (& perhaps whether) `emacs_backtrace.txt' files are written

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Nov 2012 20:52:43 -0500

>> > If such user control is not possible, then please confine such files to
>> > somewhere under .emacs.d or some other "hidden" directory that is
>> Agreed: writing the file into ~/.emacs.d makes a lot more sense.
> I agree, but we need to decide what to do if this directory is remote,
> because invoking file handlers in this situation is not possible.

The file name should be passed straight to the OS without going through
file-name-handlers.  If the OS thinks the directory doesn't exit: no
big deal!

> Also, on Unix, the information is under the home directory, and the
> Unix builds don't themselves create any files, but rather reuse
> system-wide settings (which AFAIU aren't settable by users).  So I'm
> unsure what this means for platforms other than Windows.

No need to change anything on platforms where stderr works.

        Stefan